import { IErrorPositionCapable, PositionCapableError, IPositionCapable } from './NodeError';
import { Nodes } from './nodes';
export declare class MessageCollector {
    errors: IErrorPositionCapable[];
    error(error: IErrorPositionCapable): void;
    error(message: string | Error, position: IPositionCapable): void;
    errorIfBranchDoesntHaveAny(message: PositionCapableError): void;
    errorIfBranchDoesntHaveAny(message: string, node: Nodes.Node): void;
    warning(message: string, node: Nodes.Node): void;
    removeErrorsFromModule(moduleName: string): void;
    hasErrorForBranch(position: IPositionCapable): any;
    hasErrors(): boolean;
    /**
     * Takes the content of other message collector into this instance. The other instance will be purged.
     * @param otherMessageCollector
     */
    mergeWith(otherMessageCollector: MessageCollector): void;
}
