import { Nodes } from './nodes';
import { Scope, ReferenceType } from './Scope';
export declare class Reference {
    readonly referencedNode: Nodes.NameIdentifierNode;
    readonly scope: Scope;
    readonly type: ReferenceType;
    readonly moduleName: string | null;
    usages: number;
    constructor(referencedNode: Nodes.NameIdentifierNode, scope: Scope, type: ReferenceType, moduleName?: string | null);
    /** Returns true if the reference points to a declaration in the same module */
    get isLocalReference(): boolean;
    /** Returns a copy of the reference with the moduleSource set */
    withModule(moduleName: string): Reference;
    toString(): string;
}
