"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reference = void 0;
class Reference {
    constructor(referencedNode, scope, type, moduleName = null) {
        this.referencedNode = referencedNode;
        this.scope = scope;
        this.type = type;
        this.moduleName = moduleName;
        this.usages = 0;
    }
    /** Returns true if the reference points to a declaration in the same module */
    get isLocalReference() {
        return !this.moduleName;
    }
    /** Returns a copy of the reference with the moduleSource set */
    withModule(moduleName) {
        return new Reference(this.referencedNode, this.scope, this.type, moduleName);
    }
    toString() {
        if (this.isLocalReference) {
            return this.referencedNode.name;
        }
        else {
            return this.moduleName + '::' + this.referencedNode.name;
        }
    }
}
exports.Reference = Reference;
//# sourceMappingURL=Reference.js.map