import { Nodes } from './nodes';
import { Reference } from './Reference';
import { ParsingContext } from './ParsingContext';
export declare type ReferenceType = 'TYPE' | 'VALUE' | 'FUNCTION' | 'TRAIT';
export declare class Scope {
    parsingContext: ParsingContext;
    readonly moduleName: string;
    parent: Scope | null;
    nameHint: string;
    localScopeDeclares: Set<string>;
    exportedNames: Set<string>;
    nameMappings: Record<string, Reference>;
    localUsages: Record<string, number>;
    importedModules: Map<string, Set<string>>;
    childrenScopes: Scope[];
    readonly name: string;
    constructor(parsingContext: ParsingContext, moduleName: string, parent?: Scope | null, nameHint?: string);
    isDescendantOf(parentScope: Scope): boolean;
    registerForeginModule(moduleName: string): Set<string>;
    registerImport(moduleName: string, names: Set<string>): void;
    getInternalIdentifier(node: Nodes.NameIdentifierNode): string;
    incrementUsage(name: string): void;
    incrementUsageQName(name: Nodes.QNameNode): void;
    set(nameNode: Nodes.NameIdentifierNode, type: ReferenceType, exported: boolean): Reference | null;
    canResolveName(localName: string): boolean;
    canResolveQName(qname: Nodes.QNameNode): boolean;
    getQName(qname: Nodes.QNameNode): Reference;
    canGetFromOutside(localName: string): boolean;
    getFromOutside(localName: string): Reference | null;
    get(localName: string): Reference;
    inspect(voidIfEmpty?: boolean, includePrivate?: boolean): string;
    newChildScope(nameHint: string): Scope;
}
