"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatten = exports.last = void 0;
function last(list) {
    return list[list.length - 1];
}
exports.last = last;
const isArray = Array.isArray;
/*
Converts an arbitrarily nested array of arrays and/or integers into a single-dimension array
of integers preserving the order.
*/
function flatten(array) {
    if (!isArray(array))
        return [array];
    return array.reduce((acc, next) => {
        if (!isArray(next)) {
            acc.push(next);
        }
        else if (next.length) {
            flatten(next).forEach(item => {
                acc.push(item);
            });
        }
        return acc;
    }, []);
}
exports.flatten = flatten;
//# sourceMappingURL=helpers.js.map