"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findParentDelegate = exports.findParentType = void 0;
function findParentType(node, desiredClass) {
    let parent = node.parent;
    while (parent && !(parent instanceof desiredClass)) {
        parent = parent.parent;
        // If the element has no parent, stop execution
        if (!parent)
            return null;
    }
    return parent || null;
}
exports.findParentType = findParentType;
function findParentDelegate(node, delegate) {
    let parent = node.parent;
    while (parent && !delegate(parent)) {
        parent = parent.parent;
        // If the element has no parent, stop execution
        if (!parent)
            return null;
    }
    return parent || null;
}
exports.findParentDelegate = findParentDelegate;
//# sourceMappingURL=nodeHelpers.js.map