import { Nodes } from '../nodes';
import { ParsingContext } from '../ParsingContext';
declare type CompilationModuleResult = {
    document: Nodes.DocumentNode;
    moduleParts: any[];
    starters: any[];
    endMemory: number;
    imports: any[];
};
export declare class CodeGenerationPhaseResult {
    document: Nodes.DocumentNode;
    parsingContext: ParsingContext;
    programAST: any;
    buffer?: Uint8Array;
    sourceMap: string | null;
    constructor(document: Nodes.DocumentNode, parsingContext: ParsingContext);
    validate(optimize?: boolean, debug?: boolean): Promise<{
        callGraph?: string;
    }>;
    emitText(): Promise<any>;
    optimize(): void;
    /** This method only exists for test porpuses */
    toInstance(extra?: Record<string, Record<string, any>>): Promise<any>;
    generatePhase(document: Nodes.DocumentNode, startMemory: number): CompilationModuleResult;
    protected execute(): void;
}
export {};
