import { Nodes, PhaseFlags } from '../nodes';
import { ParsingContext } from '../ParsingContext';
export declare function getDocument(node: Nodes.Node): Nodes.DocumentNode;
export declare const fixParents: (node: Nodes.Node, phaseResult: ParsingContext, parent?: Nodes.Node | null) => void;
/**
 * This function collects the imports of the scopes of a document.
 * Returns true if it added some new import to the Set
 */
export declare function collectImports(moduleList: Set<string>, document: Nodes.DocumentNode, parsingContext: ParsingContext): boolean;
/**
 * Returns a list of all the modules that are necessary to compile the given
 * document.
 *
 * This function can be called only after scope phase has been run
 */
export declare function getModuleSet(document: Nodes.DocumentNode, parsingContext: ParsingContext): Set<string>;
export declare function forEachModuleWithPhase(mainModule: string, parsingContext: ParsingContext, phase: PhaseFlags, debug?: boolean, cb?: (node: Nodes.DocumentNode) => void): void;
