"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = exports.ParsingContext = void 0;
const ParsingContext_1 = require("./compiler/ParsingContext");
Object.defineProperty(exports, "ParsingContext", { enumerable: true, get: function () { return ParsingContext_1.ParsingContext; } });
const findAllErrors_1 = require("./compiler/findAllErrors");
const codeGenerationPhase_1 = require("./compiler/phases/codeGenerationPhase");
const nodes_1 = require("./compiler/nodes");
function compile(parsingContext, moduleName, debug = false) {
    const compilation = parsingContext.getPhase(moduleName, nodes_1.PhaseFlags.Compilation, debug);
    (0, findAllErrors_1.failWithErrors)(`Code generation`, parsingContext, debug);
    const codeGen = new codeGenerationPhase_1.CodeGenerationPhaseResult(compilation, parsingContext);
    (0, findAllErrors_1.failWithErrors)(`Code generation`, parsingContext, debug);
    return codeGen;
}
exports.compile = compile;
//# sourceMappingURL=index.js.map