import { System } from '../compiler/System';
export interface FileSystemEntries {
    readonly files: ReadonlyArray<string>;
    readonly directories: ReadonlyArray<string>;
}
export declare class NodeSystem implements System {
    args: string[];
    newLine: string;
    useCaseSensitiveFileNames: boolean;
    cwd: string;
    isFileSystemCaseSensitive(): boolean;
    directoryExists(path: string): boolean;
    getDirectories(path: string): string[];
    write(s: string): void;
    writeOutputIsTTY(): boolean;
    readFile(fileName: string, _encoding?: string): string | undefined;
    writeFile(fileName: string, data: string, writeByteOrderMark?: boolean): void;
    resolvePath(...paths: string[]): string;
    fileExists(path: string): boolean;
    getCurrentDirectory(): string;
    relative(from: string, to: string): string;
    createDirectory(directoryName: string): void;
}
export declare const nodeSystem: NodeSystem;
