import { System } from '../compiler/System';
export interface IVirtualFile {
    content: string;
}
export declare class WebSystem implements System {
    args: string[];
    newLine: string;
    useCaseSensitiveFileNames: boolean;
    files: Map<string, IVirtualFile>;
    write(s: string): void;
    writeOutputIsTTY?(): boolean;
    readFile(path: string): string | void;
    getFileSize(path: string): number;
    writeFile(path: string, data: string, _writeByteOrderMark?: boolean): void;
    resolvePath(...path: string[]): string;
    relative(from: string, to: string): string;
    fileExists(path: string): boolean;
    directoryExists(path: string): boolean;
    createDirectory(): void;
    getCurrentDirectory(): string;
}
