/**
 * Description of a single test's results.
 */
export interface TestDescription {
    startTime: number;
    endTime: number;
    /**
     * Friendly title of the test.
     */
    title: string;
    passed: boolean;
    skipped: boolean;
    tests?: TestDescription[];
    assertions?: {
        title: string;
        passed: boolean;
    }[];
}
export declare function getTestResults(instance: any): TestDescription[];
export default function (getInstance: () => any): {
    test: {
        printMemory: (start: number, length: number) => void;
        pushTest: (offset: number) => void;
        popTest: () => void;
        registerAssertion: (passed: number, nameOffset: number) => void;
        printNumber: (x: number) => void;
        printString: (offset: number) => void;
    };
};
