"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const glob = require("glob");
const NodeSystem_1 = require("../support/NodeSystem");
/**
 * This file packs the standard library in a JSON file to be used with
 * portable versions of the compiler where file systems does not exist. i.e:
 * the playground.
 */
const base = NodeSystem_1.nodeSystem.resolvePath(__dirname, '../../stdlib');
const ret = {};
glob.sync('**/*.lys', { cwd: base, absolute: false }).forEach($ => {
    const path = NodeSystem_1.nodeSystem.resolvePath(base, $);
    console.log('/' + $);
    const content = NodeSystem_1.nodeSystem.readFile(path);
    if (content) {
        ret['/' + $] = content;
    }
});
NodeSystem_1.nodeSystem.writeFile(NodeSystem_1.nodeSystem.resolvePath(__dirname, '../support/std.json'), JSON.stringify(ret, null, 2));
//# sourceMappingURL=packStdLib.js.map