"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTestInstance = void 0;
async function generateTestInstance(buffer, modules = []) {
    let instance = null;
    const getInstance = () => instance;
    let injectedModules = {};
    modules.forEach($ => {
        const generatedModule = $(getInstance);
        if (generatedModule) {
            injectedModules = { ...injectedModules, ...generatedModule };
        }
    });
    const compiled = await WebAssembly.compile(buffer);
    instance = new WebAssembly.Instance(compiled, injectedModules);
    return instance;
}
exports.generateTestInstance = generateTestInstance;
//# sourceMappingURL=testEnvironment.js.map